// QView.h : interface of the CQView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_QVIEW_H__76FE3578_5919_11D2_9108_002035F3688A__INCLUDED_)
#define AFX_QVIEW_H__76FE3578_5919_11D2_9108_002035F3688A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <afxtempl.h>

enum {CT_TEXT,CT_RADIO,CT_CHECK};


class CQuestion {
public:
	CArray<int,int> typarr;
	CArray<int,int> val1arr;
	CArray<int,int> val2arr;
	CStringArray strarr;
	CArray<CWnd *,CWnd *> wndarr;
	~CQuestion();
	void Add(CString cs,int t,int v1=0,int v2=0);
	int Num();
	int Calculate();
};


class CQView : public CFormView
{
protected: // create from serialization only
	CQView();
	DECLARE_DYNCREATE(CQView)

public:
	//{{AFX_DATA(CQView)
	enum{ IDD = IDD_Q_FORM };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Attributes
public:
	CArray<int,int> m_index;
	CQDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CQView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	void PrepQuestions();
	int m_qnum;
	void CheckSynt();
	void AskQuest();
	int m_qcount;
	CStringArray sa;
	CArray<CWnd *,CWnd *> sc;
	CArray<CQuestion *,CQuestion *> sq;
	CString FileName();
	virtual ~CQView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CQView)
	afx_msg void OnFileForward();
	afx_msg void OnUpdateFileForward(CCmdUI* pCmdUI);
	afx_msg void OnFileBackward();
	afx_msg void OnUpdateFileBackward(CCmdUI* pCmdUI);
	afx_msg void OnFileEndtest();
	afx_msg void OnUpdateFileEndtest(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in QView.cpp
inline CQDoc* CQView::GetDocument()
   { return (CQDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_QVIEW_H__76FE3578_5919_11D2_9108_002035F3688A__INCLUDED_)
